<?php
namespace SM\Service;

use SM\Factory\MapaFaturamentoFactory;
use Teknisa\Libs\Util\Environment;
use Teknisa\Libs\Util\NewCode;
use Zeedhi\Framework\DataSource\DataSet;

class MapaFaturamentoService
{

    protected $MapaFaturamentoFactory;
    protected $Environment;
    protected $newCode;

    public function __construct(MapaFaturamentoFactory $MapaFaturamentoFactory, Environment $Environment, NewCode $newCode)
    {
        $this->MapaFaturamentoFactory  = $MapaFaturamentoFactory;
        $this->Environment               = $Environment;
        $this->newCode                   = $newCode;
    }

    public function getMapaFaturamento()
    {
        return $this->MapaFaturamentoFactory->getMapaFaturamento();
    }
    
}
